PIRL.Conductor

## Class Table_Mouse_Listener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - PIRL.Conductor.Table_Mouse_Listener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener

    public class Table_Mouse_Listener
    extends MouseAdapter

A Table_Mouse_Listener provides deselect capability for table selections.

If a single mouse click of button one with a control key pressed occurs in a selected table column that column is deselected.

### Constructor Summary

Constructors
Constructor and Description
`Table_Mouse_Listener()`

### Method Summary

Methods
`void` `mouseClicked(MouseEvent event)`

### Methods inherited from class java.awt.event.MouseAdapter

`mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Table_Mouse_Listener

    public Table_Mouse_Listener()

### Method Detail

#### mouseClicked

    public void mouseClicked(MouseEvent event)

Specified by:
  `mouseClicked` in interface `MouseListener`
Overrides:
  `mouseClicked` in class `MouseAdapter`